org.wildfly.swarm.ejb

## Class EJBFraction

- java.lang.Object
- - org.wildfly.swarm.config.EJB3<EJBFraction>
  - - org.wildfly.swarm.ejb.EJBFraction

- All Implemented Interfaces:
    Fraction<EJBFraction>

      public class EJBFraction
      extends EJB3<EJBFraction>
      implements Fraction<EJBFraction>

  Author:
    Ken Finnigan, Lance Ball

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.EJB3

      `EJB3.EJB3Resources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static EJBFraction` | `createDefaultFraction()`
    `void` | `postConstruct()`

    - ### Methods inherited from class org.wildfly.swarm.config.EJB3

      `addPropertyChangeListener, allowEjbNameRegex, allowEjbNameRegex, applicationSecurityDomain, applicationSecurityDomain, applicationSecurityDomain, applicationSecurityDomain, applicationSecurityDomains, asyncService, asyncService, asyncService, asyncService, cache, cache, cache, cache, caches, clusterPassivationStore, clusterPassivationStore, clusterPassivationStore, clusterPassivationStore, clusterPassivationStores, defaultClusteredSfsbCache, defaultClusteredSfsbCache, defaultDistinctName, defaultDistinctName, defaultEntityBeanInstancePool, defaultEntityBeanInstancePool, defaultEntityBeanOptimisticLocking, defaultEntityBeanOptimisticLocking, defaultMdbInstancePool, defaultMdbInstancePool, defaultMissingMethodPermissionsDenyAccess, defaultMissingMethodPermissionsDenyAccess, defaultResourceAdapterName, defaultResourceAdapterName, defaultSecurityDomain, defaultSecurityDomain, defaultSfsbCache, defaultSfsbCache, defaultSfsbPassivationDisabledCache, defaultSfsbPassivationDisabledCache, defaultSingletonBeanAccessTimeout, defaultSingletonBeanAccessTimeout, defaultSlsbInstancePool, defaultSlsbInstancePool, defaultStatefulBeanAccessTimeout, defaultStatefulBeanAccessTimeout, disableDefaultEjbPermissions, disableDefaultEjbPermissions, enableGracefulTxnShutdown, enableGracefulTxnShutdown, enableStatistics, enableStatistics, filePassivationStore, filePassivationStore, filePassivationStore, filePassivationStore, filePassivationStores, getKey, identityService, identityService, identityService, identityService, iiopService, iiopService, iiopService, iiopService, inVmRemoteInterfaceInvocationPassByValue, inVmRemoteInterfaceInvocationPassByValue, logSystemExceptions, logSystemExceptions, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroups, passivationStore, passivationStore, passivationStore, passivationStore, passivationStores, remoteService, remoteService, remoteService, remoteService, remotingProfile, remotingProfile, remotingProfile, remotingProfile, remotingProfiles, removePropertyChangeListener, statisticsEnabled, statisticsEnabled, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePools, subresources, threadPool, threadPool, threadPool, threadPool, threadPools, timerService, timerService, timerService, timerService`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### EJBFraction

          public EJBFraction()

  - ### Method Detail

    - #### postConstruct

          @PostConstruct
          public void postConstruct()

    - #### createDefaultFraction

          public static EJBFraction createDefaultFraction()

    - #### applyDefaults

          public EJBFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<EJBFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.